%define major	1
%define admajor	0

%define libname		%mklibname %{name} %{major}
%define adlibname	%mklibname sphinxad %{admajor}
%define devname		%mklibname %{name} -d

Name:		sphinxbase
Version:	0.8
Release:	%mkrel 1
Summary:	The CMU Sphinx Recognition System
Group:		System/Libraries
License:	BSD and LGPLv2+
URL:		http://cmusphinx.sourceforge.net/
Source:		http://downloads.sourceforge.net/cmusphinx/%{name}-%{version}.tar.xz
#---------------------------------------
BuildRequires: bison
BuildRequires: doxygen
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}samplerate-devel
BuildRequires: %{_lib}sndfile-devel
#---------------------------------------

%description
The CMU Sphinx Recognition System is a library and a set
of examples and utilities for speech recognition.

This package contains the utilities.

%package -n %{libname}
Summary:	Shared components for Sphinx speech recognition
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for Sphinx speech recognition.

%package -n %{adlibname}
Summary:	Shared components for Sphinx speech recognition
Group:		System/Libraries

%description -n %{adlibname}
This package contains the shared libraries for Sphinx speech recognition.

%package -n %{devname}
Summary:	Header files for developing with The CMU Sphinx Recognition System
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{adlibname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the header files and examples for developing with
The CMU Sphinx Recognition System.

%package -n python-%{name}
Summary:	Python extension for The CMU Sphinx Recognition System
Group:		Development/Python

%description -n python-%{name}
This package contains the python extension for The CMU Sphinx Recognition
System.

%prep
%setup -q 
# %patch0 -p1 -b .lda

%build
%configure2_5x --disable-static \
	--disable-rpath
%make

%install
rm -fr %{buildroot}
%makeinstall

# we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

# man pages
mkdir -p %{buildroot}%{_mandir}/man1
install -pm644 doc/*.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/sphinx*
%{_mandir}/man1/sphinx*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{adlibname}
%defattr(-,root,root)
%{_libdir}/libsphinxad.so.%{admajor}*

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/*

%files -n %{devname}
%defattr(-,root,root)
%doc doc/html/
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_libdir}/libsphinxad.so


%changelog
* Sun Feb 18 2011 travisn <at gmail> 0.7-1.pclos2014
- imported package sphinxbase

